## ifcplusplus 0~git20190402.13744d5%2Bdfsg

=== debian/changelog ===
ifcplusplus (0~git20190402.13744d5+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Jan 2020 09:34:21 +0100

ifcplusplus (0~git20190402.13744d5+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #934514)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 10 Oct 2019 22:53:03 +0200
