=== debian/control ===
Source: ifcplusplus
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Kurt Kremitzki <kurt@kwk.systems>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libboost-dev,
 libopenscenegraph-dev,
 libqt5opengl5-dev,
 libqt5widgets5,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: http://www.ifcquery.com
Vcs-Git: https://salsa.debian.org/science-team/ifcplusplus.git
Vcs-Browser: https://salsa.debian.org/science-team/ifcplusplus

Package: ifcplusplus
Architecture: any
Depends:
 libifcplusplus (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
 - easy and efficient memory management using smart pointers
 - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the sample viewer.

Package: libifcplusplus
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - runtime libraries
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
 - easy and efficient memory management using smart pointers
 - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the runtime libraries.

Package: libifcplusplus-dev
Section: libdevel
Architecture: any
Depends:
 libifcplusplus (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - development
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
 - easy and efficient memory management using smart pointers
 - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the headers for building programs that
 use IFCplusplus.
