=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg" \
https://github.com/ifcquery/ifcplusplus/tags .*/Release-(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))
