## ifcplusplus 0~git20190402.13744d5+dfsg

=== debian/changelog ===
ifcplusplus (0~git20190402.13744d5+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/control: remove unneeded explicit dependency on libqt5widgets5.
    Closes: #1067910
  * Forward the gcc-13 patch upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Mar 2024 10:11:40 +0100

ifcplusplus (0~git20190402.13744d5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch from Adrian Bunk to fix FTBFS with gcc-13. Closes:
    #1037693
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * d/watch: fix for GitHub changes
  * d/rules: don't make a release build, so we can gather debug symbols

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 19:41:55 +0200
