=== debian/control ===
Source: ifcplusplus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>,
           Matteo F. Vescovi <mfv@debian.org>
Section: graphics
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libopenscenegraph-dev,
               libqt5opengl5-dev,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/ifcplusplus
Vcs-Git: https://salsa.debian.org/science-team/ifcplusplus.git
Homepage: https://www.ifcquery.com
Rules-Requires-Root: no

Package: ifcplusplus
Architecture: any
Depends: libifcplusplus (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
  - easy and efficient memory management using smart pointers
  - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the sample viewer.

Package: libifcplusplus
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - runtime libraries
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
  - easy and efficient memory management using smart pointers
  - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the runtime libraries.

Package: libifcplusplus-dev
Architecture: any
Section: libdevel
Depends: libifcplusplus (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - development
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
  - easy and efficient memory management using smart pointers
  - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the headers for building programs that
 use IFCplusplus.
