=== debian/watch ===
version=4

opts=\
repack,\
dversionmangle=auto,\
repacksuffix=+dfsg,\
searchmode=plain \
 https://api.github.com/repos/ifcquery/ifcplusplus/releases \
 https://api.github.com/repos/ifcquery/ifcplusplus/tarball/@ANY_VERSION@
